/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;
import cn.com.qmth.examcloud.core.print.enums.BackupGroupType;

import javax.persistence.*;

/**
 * 印刷项目-备份设置信息
 */
@Entity
@Table(name = "ec_prt_project_backup_setting", indexes = {
        @Index(name = "INDEX_PRT_PROJECT_BACKUP_01", columnList = "projectId", unique = true)})
public class ProjectBackupSetting extends IdEntity {
    /**
     * 项目ID
     */
    private Long projectId;

    /* 1、每袋冗余设置 */

    /**
     * 是否需要每袋备份
     */
    private Boolean needEachPkg;
    /**
     * 每袋备份比例
     */
    private Double eachPkgPercent;
    /**
     * 每袋备份最大值
     */
    private Double eachPkgMax;
    /**
     * 每袋备份最小值
     */
    private Double eachPkgMin;


    /* 2、单独备份袋 */

    /**
     * 是否需要单独备份袋
     */
    private Boolean needAlonePkg;
    /**
     * 归集类型
     */
    @Enumerated(EnumType.STRING)
    private BackupGroupType groupType;
    /**
     * 单独备份比例
     */
    private Double alonePkgPercent;
    /**
     * 单独备份最大值
     */
    private Double alonePkgMax;
    /**
     * 单独备份最小值
     */
    private Double alonePkgMin;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Boolean getNeedEachPkg() {
        //为空时，默认值
        return needEachPkg != null ? needEachPkg : false;
    }

    public void setNeedEachPkg(Boolean needEachPkg) {
        this.needEachPkg = needEachPkg;
    }

    public Boolean getNeedAlonePkg() {
        //为空时，默认值
        return needAlonePkg != null ? needAlonePkg : false;
    }

    public void setNeedAlonePkg(Boolean needAlonePkg) {
        this.needAlonePkg = needAlonePkg;
    }

    public Double getEachPkgPercent() {
        return eachPkgPercent;
    }

    public void setEachPkgPercent(Double eachPkgPercent) {
        this.eachPkgPercent = eachPkgPercent;
    }

    public Double getEachPkgMax() {
        return eachPkgMax;
    }

    public void setEachPkgMax(Double eachPkgMax) {
        this.eachPkgMax = eachPkgMax;
    }

    public Double getEachPkgMin() {
        return eachPkgMin;
    }

    public void setEachPkgMin(Double eachPkgMin) {
        this.eachPkgMin = eachPkgMin;
    }

    public BackupGroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(BackupGroupType groupType) {
        this.groupType = groupType;
    }

    public Double getAlonePkgPercent() {
        return alonePkgPercent;
    }

    public void setAlonePkgPercent(Double alonePkgPercent) {
        this.alonePkgPercent = alonePkgPercent;
    }

    public Double getAlonePkgMax() {
        return alonePkgMax;
    }

    public void setAlonePkgMax(Double alonePkgMax) {
        this.alonePkgMax = alonePkgMax;
    }

    public Double getAlonePkgMin() {
        return alonePkgMin;
    }

    public void setAlonePkgMin(Double alonePkgMin) {
        this.alonePkgMin = alonePkgMin;
    }

}