/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.ExamStructure;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface ExamStructureRepository extends JpaRepository<ExamStructure, Long>, JpaSpecificationExecutor<ExamStructure> {

    ExamStructure findByOrgIdAndExamId(Long orgId, Long examId);

    @Transactional
    @Modifying
    @Query("UPDATE ExamStructure SET orgName=:orgName WHERE orgId=:orgId")
    int updateOrgNameByOrgId(@Param("orgId") Long orgId, @Param("orgName") String orgName);

    @Transactional
    @Modifying
    @Query("UPDATE ExamStructure SET examName=:examName WHERE examId=:examId")
    int updateExamNameByExamId(@Param("examId") Long examId, @Param("examName") String examName);

}